Bug 502579 - Freeze when shutting down NetworkManager
Freeze when shutting down NetworkManager
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
10
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-26 05:12 EDT by Jochen Wiedmann
Modified: 2009-12-18 04:29 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 04:29:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jochen Wiedmann 2009-05-26 05:12:35 EDT
Description of problem:

My machine frequently freezes. The most likely event is when I am connected to the Internet through my UMTS stick. I suspect that the problem is with the "hso" module, which is used to drive the stick. The freezes are only observed if the stick is/was in use.

I am unable to contribute further info, because there is none available to me, as the machine freezes. I'd be happy to take any measures that allow me to provide more information.



Version-Release number of selected component (if applicable):

[jwi@mcjwi ~]$ uname -a
Linux mcjwi.eur.ad.sag 2.6.27.21-170.2.56.fc10.i686.PAE #1 SMP Mon Mar 23 23:24:26 EDT 2009 i686 i686 i386 GNU/Linux

How reproducible:

Not regularly. But there's a 30% or so change, that the machine freezes when I shutdown after using the stick. 


See below for additional details.


[jwi@mcjwi ~]$ lsusb
...
Bus 005 Device 005: ID 0af0:6971 Option 
...

[jwi@mcjwi ~]$ nm-tool
...
- Device: ttyHS0  [Simply (T-Mobile)] ------------------------------------------
  Type:              Mobile Broadband (GSM)
  Driver:            hso
  State:             connected
  Default:           yes

  Capabilities:

  IPv4 Settings:
    Address:         88.128.0.166
    Prefix:          32 (255.255.255.255)
    Gateway:         0.0.0.0

    DNS:             193.254.160.1
    DNS:             193.254.160.130


Extract from /var/log/messages:

May 26 08:23:55 mcjwi kernel: usb 5-1: New USB device found, idVendor=0af0, idProduct=6971
May 26 08:23:55 mcjwi kernel: usb 5-1: New USB device strings: Mfr=1, Product=2, SerialNumber=3
May 26 08:23:55 mcjwi kernel: usb 5-1: Product: Globetrotter HSDPA Modem  
May 26 08:23:55 mcjwi kernel: usb 5-1: Manufacturer: Option N.V.
May 26 08:23:55 mcjwi kernel: usb 5-1: SerialNumber: Serial Number
May 26 08:23:59 mcjwi kernel: usb 5-1: USB disconnect, address 4
May 26 08:24:00 mcjwi kernel: usb 5-1: new full speed USB device using uhci_hcd and address 5
May 26 08:24:00 mcjwi kernel: usb 5-1: configuration #1 chosen from 1 choice
May 26 08:24:00 mcjwi kernel: hso0: Disabled Privacy Extensions
May 26 08:24:00 mcjwi kernel: usb 5-1: New USB device found, idVendor=0af0, idProduct=6971
May 26 08:24:00 mcjwi kernel: usb 5-1: New USB device strings: Mfr=1, Product=2, SerialNumber=4
May 26 08:24:00 mcjwi kernel: usb 5-1: Product: Globetrotter HSDPA Modem  
May 26 08:24:00 mcjwi kernel: usb 5-1: Manufacturer: Option N.V.
May 26 08:24:00 mcjwi kernel: usb 5-1: SerialNumber: Serial Number
Comment 1 Bug Zapper 2009-11-18 07:01:52 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2009-12-18 04:29:29 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.